
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.pencilsandsuch.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.pencilsandsuch.entity.RadioactiveMonsterEntity;
import net.mcreator.pencilsandsuch.entity.RadioactiveBlazeEntity;
import net.mcreator.pencilsandsuch.PencilsAndSuchMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class PencilsAndSuchModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, PencilsAndSuchMod.MODID);
	public static final RegistryObject<EntityType<RadioactiveBlazeEntity>> RADIOACTIVE_BLAZE = register("radioactive_blaze", EntityType.Builder.<RadioactiveBlazeEntity>of(RadioactiveBlazeEntity::new, MobCategory.MONSTER)
			.setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(RadioactiveBlazeEntity::new).fireImmune().sized(1.4f, 0.9f));
	public static final RegistryObject<EntityType<RadioactiveMonsterEntity>> RADIOACTIVE_MONSTER = register("radioactive_monster", EntityType.Builder.<RadioactiveMonsterEntity>of(RadioactiveMonsterEntity::new, MobCategory.MONSTER)
			.setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(RadioactiveMonsterEntity::new).fireImmune().sized(0.6f, 1.8f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			RadioactiveBlazeEntity.init();
			RadioactiveMonsterEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(RADIOACTIVE_BLAZE.get(), RadioactiveBlazeEntity.createAttributes().build());
		event.put(RADIOACTIVE_MONSTER.get(), RadioactiveMonsterEntity.createAttributes().build());
	}
}
