
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.pencilsandsuch.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.BuildCreativeModeTabContentsEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.pencilsandsuch.PencilsAndSuchMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class PencilsAndSuchModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, PencilsAndSuchMod.MODID);
	public static final RegistryObject<CreativeModeTab> ADVANCED_PENCILS = REGISTRY.register("advanced_pencils",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.pencils_and_such.advanced_pencils")).icon(() -> new ItemStack(PencilsAndSuchModItems.PEN.get())).displayItems((parameters, tabData) -> {
				tabData.accept(PencilsAndSuchModItems.MECHANICAL_PENCIL.get());
				tabData.accept(PencilsAndSuchModItems.PEN.get());
				tabData.accept(PencilsAndSuchModItems.SUPER_GUM.get());
			})

					.build());
	public static final RegistryObject<CreativeModeTab> PENCILSANDRUBBER = REGISTRY.register("pencilsandrubber",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.pencils_and_such.pencilsandrubber")).icon(() -> new ItemStack(PencilsAndSuchModItems.PENCIL.get())).displayItems((parameters, tabData) -> {
				tabData.accept(PencilsAndSuchModItems.RUBBER.get());
				tabData.accept(PencilsAndSuchModItems.PENCIL.get());
				tabData.accept(PencilsAndSuchModItems.GUM.get());
				tabData.accept(PencilsAndSuchModItems.WRAPPER.get());
				tabData.accept(PencilsAndSuchModItems.LIQUID_RUBBER_BUCKET.get());
				tabData.accept(PencilsAndSuchModBlocks.BLOCKOF_RUBBER.get().asItem());
				tabData.accept(PencilsAndSuchModItems.PENCIL_SWORD.get());
				tabData.accept(PencilsAndSuchModItems.CRUDE_PENCIL.get());
				tabData.accept(PencilsAndSuchModItems.RUBBERB_ARMOR_BOOTS.get());
			})

					.build());
	public static final RegistryObject<CreativeModeTab> RANGED_PENCILS = REGISTRY.register("ranged_pencils",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.pencils_and_such.ranged_pencils")).icon(() -> new ItemStack(PencilsAndSuchModItems.PENCIL_BOW.get())).displayItems((parameters, tabData) -> {
				tabData.accept(PencilsAndSuchModItems.PENCIL_BOW.get());
				tabData.accept(PencilsAndSuchModItems.MECHANICALPENCILBOX.get());
				tabData.accept(PencilsAndSuchModItems.PEN_BOW.get());
			})

					.build());
	public static final RegistryObject<CreativeModeTab> PENCILMAGIC = REGISTRY.register("pencilmagic",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.pencils_and_such.pencilmagic")).icon(() -> new ItemStack(PencilsAndSuchModItems.URANIUM.get())).displayItems((parameters, tabData) -> {
				tabData.accept(PencilsAndSuchModItems.FIRE_PENCIL.get());
				tabData.accept(PencilsAndSuchModItems.FIRE_ESSENCE.get());
				tabData.accept(PencilsAndSuchModItems.URANIUM.get());
				tabData.accept(PencilsAndSuchModItems.URANIUMPENCIL.get());
				tabData.accept(PencilsAndSuchModItems.REINFORCED_PEN.get());
			})

					.build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {
			tabData.accept(PencilsAndSuchModItems.RADIOACTIVE_BLAZE_SPAWN_EGG.get());
			tabData.accept(PencilsAndSuchModItems.RADIOACTIVE_MONSTER_SPAWN_EGG.get());
		}
	}
}
