
package net.mcreator.pencilsandsuch.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SpiderModel;

import net.mcreator.pencilsandsuch.entity.RadioactiveBlazeEntity;

public class RadioactiveBlazeRenderer extends MobRenderer<RadioactiveBlazeEntity, SpiderModel<RadioactiveBlazeEntity>> {
	public RadioactiveBlazeRenderer(EntityRendererProvider.Context context) {
		super(context, new SpiderModel(context.bakeLayer(ModelLayers.SPIDER)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(RadioactiveBlazeEntity entity) {
		return new ResourceLocation("pencils_and_such:textures/entities/spider.png");
	}

	@Override
	protected boolean isShaking(RadioactiveBlazeEntity entity) {
		return true;
	}
}
